Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class AbstractSwapParameterInfo

[frames] | no frames]

# Class AbstractSwapParameterInfo

source code

    object --+
             |
            AbstractSwapParameterInfo

Known Subclasses:
  - RESwapParameterInfo

Subclass instances hold all parameters necessary for performing a swap between two given samplers.

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

__init__(self, sampler1, sampler2) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| sampler1
| sampler2
Inherited from `object`: `__class__`

Method Details

### __init__(self, sampler1, sampler2)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `sampler1` (AbstractSingleChainMC) - First sampler
  - `sampler2` (AbstractSingleChainMC) - Second sampler
Overrides: object.__init__

Property Details

### sampler1

Get Method:
  unreachable.sampler1(self)

### sampler2

Get Method:
  unreachable.sampler2(self)